summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVi0L02016-01-20 15:18:25 +0100
committerVi0L02016-01-20 15:18:25 +0100
commit158380ef065cf1070271c92b5d342728eef91106 (patch)
treee7add7f7c5ff27ef1768bd4d029fb87737fddcef
parentd08c07222be06036a2d73ee1d50bb31c27154646 (diff)
downloadaur-158380ef065cf1070271c92b5d342728eef91106.tar.gz
15.9-9: adding 4.4 kernel support
-rw-r--r--.SRCINFO8
-rw-r--r--4.4-manjaro-xstate.patch22
-rw-r--r--PKGBUILD11
-rw-r--r--grsec_arch.patch33
4 files changed, 54 insertions, 20 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e55b77a8814..dfc21d62d8c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = catalyst
pkgdesc = AMD/ATI Catalyst drivers for linux. fglrx kernel module only. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
pkgver = 15.9
- pkgrel = 8
+ pkgrel = 9
url = http://www.amd.com
install = catalyst.install
arch = i686
@@ -12,7 +12,7 @@ pkgbase = catalyst
makedepends = make
makedepends = linux-headers
depends = linux>=3.0
- depends = linux<4.4
+ depends = linux<4.5
depends = catalyst-utils
conflicts = catalyst-test
source = http://www2.ati.com/drivers/linux/amd-catalyst-15.9-linux-installer-15.201.1151-x86.x86_64.zip
@@ -25,6 +25,7 @@ pkgbase = catalyst
source = 4.3-gentoo-mtrr.patch
source = 4.2-amd-from_crimson_15.11.patch
source = crimson_i686_xg.patch
+ source = 4.4-manjaro-xstate.patch
source = grsec_arch.patch
md5sums = d2de2df6946b452c266a3c892e6e46ff
md5sums = fd98b7e486d7fd4cad8de7b95b5b031e
@@ -36,7 +37,8 @@ pkgbase = catalyst
md5sums = 98828e3eeaec2b3795e584883cc1b746
md5sums = fd2851026228ca72124972d1ea0335ea
md5sums = 6cdbaf5f71d867d225721a0369413616
- md5sums = 570e0a70aa97edcc5934e3203542d8d6
+ md5sums = d9bea135ae3e1b3ca87c5bbe6dcf8e72
+ md5sums = 8941e91fc58cb44ce21ab9bda135754e
pkgname = catalyst
diff --git a/4.4-manjaro-xstate.patch b/4.4-manjaro-xstate.patch
new file mode 100644
index 00000000000..c221952d5ec
--- /dev/null
+++ b/4.4-manjaro-xstate.patch
@@ -0,0 +1,22 @@
+--- 15.12/common/lib/modules/fglrx/build_mod/firegl_public.c 2015-12-18 19:47:41.000000000 +0100
++++ 15.12b/common/lib/modules/fglrx/build_mod/firegl_public.c 2015-12-19 20:48:13.223261632 +0100
+@@ -6450,12 +6450,15 @@
+ struct fpu *fpu = &tsk->thread.fpu;
+
+ if(static_cpu_has(X86_FEATURE_XSAVE)) {
+-#if LINUX_VERSION_CODE < KERNEL_VERSION(4,2,0)
+- fpu_xsave(fpu);
+- if (!(fpu->state->xsave.xsave_hdr.xstate_bv & XSTATE_FP))
+-#else
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,4,0)
++ copy_xregs_to_kernel(&fpu->state.xsave);
++ if (!(fpu->state.xsave.header.xfeatures & XFEATURE_MASK_FP))
++#elif LINUX_VERSION_CODE >= KERNEL_VERSION(4,2,0)
+ copy_xregs_to_kernel(&fpu->state.xsave);
+ if (!(fpu->state.xsave.header.xfeatures & XSTATE_FP))
++#else
++ fpu_xsave(fpu);
++ if (!(fpu->state->xsave.xsave_hdr.xstate_bv & XSTATE_FP))
+ #endif
+ return 1;
+ } else if (static_cpu_has(X86_FEATURE_FXSR)) {
diff --git a/PKGBUILD b/PKGBUILD
index c3b97554b83..be325be5288 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,13 +15,13 @@ _kernver=`uname -r`
pkgname=catalyst
pkgver=15.9
-pkgrel=8
+pkgrel=9
_amdver=15.201.1151
pkgdesc="AMD/ATI Catalyst drivers for linux. fglrx kernel module only. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED"
arch=('i686' 'x86_64')
url="http://www.amd.com"
license=('custom')
-depends=('linux>=3.0' 'linux<4.4' 'catalyst-utils')
+depends=('linux>=3.0' 'linux<4.5' 'catalyst-utils')
makedepends=('gcc-libs' 'gcc>4.0.0' 'make' 'linux-headers')
conflicts=('catalyst-test')
install=catalyst.install
@@ -40,6 +40,7 @@ source=(
4.3-gentoo-mtrr.patch
4.2-amd-from_crimson_15.11.patch
crimson_i686_xg.patch
+ 4.4-manjaro-xstate.patch
grsec_arch.patch)
md5sums=('d2de2df6946b452c266a3c892e6e46ff'
@@ -52,7 +53,8 @@ md5sums=('d2de2df6946b452c266a3c892e6e46ff'
'98828e3eeaec2b3795e584883cc1b746'
'fd2851026228ca72124972d1ea0335ea'
'6cdbaf5f71d867d225721a0369413616'
- '570e0a70aa97edcc5934e3203542d8d6')
+ 'd9bea135ae3e1b3ca87c5bbe6dcf8e72'
+ '8941e91fc58cb44ce21ab9bda135754e')
build() {
@@ -81,8 +83,9 @@ build() {
patch -Np1 -i ../4.2-amd-from_crimson_15.11.patch
patch -Np1 -i ../4.3-kolasa-seq_printf.patch
patch -Np1 -i ../4.3-gentoo-mtrr.patch
- test "${CARCH}" = "i686" && patch -Np1 -i ../fglrx_gpl_symbol.patch
+ patch -Np1 -i ../fglrx_gpl_symbol.patch
test "${CARCH}" = "i686" && patch -Np1 -i ../crimson_i686_xg.patch
+ patch -Np1 -i ../4.4-manjaro-xstate.patch
patch -Np1 -i ../grsec_arch.patch
cd ${srcdir}/archive_files/common/lib/modules/fglrx/build_mod
diff --git a/grsec_arch.patch b/grsec_arch.patch
index 152e3a6bd36..323e44fd02f 100644
--- a/grsec_arch.patch
+++ b/grsec_arch.patch
@@ -1,22 +1,29 @@
diff -uNr 15.12/common/lib/modules/fglrx//build_mod/firegl_public.c 15.12b/common/lib/modules/fglrx//build_mod/firegl_public.c
---- 15.12/common/lib/modules/fglrx//build_mod/firegl_public.c 2015-12-13 15:12:03.000000000 +0100
-+++ 15.12b/common/lib/modules/fglrx//build_mod/firegl_public.c 2015-12-13 19:40:34.991656996 +0100
-@@ -6468,9 +6468,14 @@
- fpu_xsave(fpu);
- if (!(fpu->state->xsave.xsave_hdr.xstate_bv & XSTATE_FP))
- #else
+--- 15.12/common/lib/modules/fglrx//build_mod/firegl_public.c 2015-12-19 21:14:13.251002548 +0100
++++ 15.12b/common/lib/modules/fglrx//build_mod/firegl_public.c 2015-12-19 21:36:27.703783498 +0100
+@@ -6465,11 +6465,21 @@
+
+ if(static_cpu_has(X86_FEATURE_XSAVE)) {
+ #if LINUX_VERSION_CODE >= KERNEL_VERSION(4,4,0)
++#ifdef CONFIG_GRKERNSEC
++ copy_xregs_to_kernel(&fpu->state->xsave);
++ if (!(fpu->state->xsave.header.xfeatures & XFEATURE_MASK_FP))
++#else
+ copy_xregs_to_kernel(&fpu->state.xsave);
+ if (!(fpu->state.xsave.header.xfeatures & XFEATURE_MASK_FP))
++#endif
+ #elif LINUX_VERSION_CODE >= KERNEL_VERSION(4,2,0)
+#ifdef CONFIG_GRKERNSEC
+ copy_xregs_to_kernel(&fpu->state->xsave);
+ if (!(fpu->state->xsave.header.xfeatures & XSTATE_FP))
+#else
copy_xregs_to_kernel(&fpu->state.xsave);
if (!(fpu->state.xsave.header.xfeatures & XSTATE_FP))
- #endif
+#endif
- return 1;
- } else if (static_cpu_has(X86_FEATURE_FXSR)) {
- #if LINUX_VERSION_CODE < KERNEL_VERSION(4,2,0)
-@@ -6483,8 +6488,12 @@
+ #else
+ fpu_xsave(fpu);
+ if (!(fpu->state->xsave.xsave_hdr.xstate_bv & XSTATE_FP))
+@@ -6486,8 +6496,12 @@
#if LINUX_VERSION_CODE < KERNEL_VERSION(4,2,0)
: [fx] "=m" (fpu->state->fsave));
#else
@@ -30,8 +37,8 @@ diff -uNr 15.12/common/lib/modules/fglrx//build_mod/firegl_public.c 15.12b/commo
}
diff -uNr 15.12/common/lib/modules/fglrx//build_mod/kcl_acpi.c 15.12b/common/lib/modules/fglrx//build_mod/kcl_acpi.c
---- 15.12/common/lib/modules/fglrx//build_mod/kcl_acpi.c 2015-12-13 15:12:03.000000000 +0100
-+++ 15.12b/common/lib/modules/fglrx//build_mod/kcl_acpi.c 2015-12-13 19:44:36.774418592 +0100
+--- 15.12/common/lib/modules/fglrx//build_mod/kcl_acpi.c 2015-12-19 21:14:13.247669219 +0100
++++ 15.12b/common/lib/modules/fglrx//build_mod/kcl_acpi.c 2015-12-19 21:10:27.224899708 +0100
@@ -145,7 +145,11 @@
return NOTIFY_OK;
}